Ubuntu

ubuntu-bug does nothing for kernel thread PIDs

Reported by Skewray on 2009-04-13
2
Affects Status Importance Assigned to Milestone
apport (Ubuntu)
Low
Martin Pitt

Bug Description

Binary package hint: apport

Ubuntu 9.04:

I wanted to report a problem with acpi, so I looked up the running process ID for kacpid and used "sudo ubuntu-bug 11". Nothing happens. The command just exists without any feedback.

ProblemType: Bug
ApportLog:

Architecture: amd64
CrashReports:
 600:1000:1000:2640101:2009-04-12 10:14:49.000000000 -0700:2009-04-12 10:14:50.000000000 -0700:/var/crash/_usr_bin_kate.1000.crash
 600:0:0:73125:2009-04-12 10:16:11.000000000 -0700:2009-04-12 10:16:12.000000000 -0700:/var/crash/hotkey-setup.0.crash
 600:1000:1000:34854:2009-04-09 07:49:03.000000000 -0700:2009-04-12 10:16:15.000000000 -0700:/var/crash/_usr_share_python-support_update-notifier-kde_update-notifier-kde.py.1000.crash
 600:1000:1000:35338:2009-04-09 07:49:03.000000000 -0700:2009-04-12 10:16:57.000000000 -0700:/var/crash/_usr_share_kde4_apps_printer-applet_printer-applet.py.1000.crash
 600:1000:1000:32698:2009-04-09 07:49:03.000000000 -0700:2009-04-12 10:17:13.000000000 -0700:/var/crash/_usr_bin_kblueplugd.1000.crash
DistroRelease: Ubuntu 9.04
ExecutablePath: /usr/bin/ubuntu-bug
InterpreterPath: /bin/dash
NonfreeKernelModules: nvidia
Package: apport 1.0-0ubuntu3
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=en_US:en
 PATH=(custom, user)
 SHELL=/bin/tcsh
SourcePackage: apport
Uname: Linux 2.6.28-11-generic x86_64

Skewray (ubuntu-skewray) wrote :
Martin Pitt (pitti) wrote :

kacpid is not a "real" program, it's a kernel thread. However, ubuntu-bug should give a proper error message for nonexisting PIDs.

Changed in apport (Ubuntu):
assignee: nobody → Martin Pitt (pitti)
importance: Undecided → Low
status: New → In Progress
summary: - ubuntu-bug does nothing against kacpid
+ ubuntu-bug does nothing for nonexisting PIDs

The behaviour for nonexisting PIDs is deliberate, see bug 95954. So I'll narrow this to existing, but invalid PIDs again.

summary: - ubuntu-bug does nothing for nonexisting PIDs
+ ubuntu-bug does nothing for kernel thread PIDs
Martin Pitt (pitti) wrote :

trunk r1416

Changed in apport (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (4.0 KiB)

This bug was fixed in the package apport - 1.1-0ubuntu1

---------------
apport (1.1-0ubuntu1) karmic; urgency=low

  * New upstream release:
    - Drop some remaining distro specific pieces of code from non-backends.
    - Add hookutils methods for attaching relevant packages, greatly improve
      attach_alsa() for sound problem debugging.
    - Move launchpad crash database implementation from ever-breaking
      python-launchpad-bugs (screenscraping) to launchpadlib (official and
      stable Launchpad API). (LP: #353879)
    - Add new field Report.pid which gets set on add_proc_info() and can be
      used by hooks.
    - setup.py: Properly clean up all generated files, install missing
      mimetypes/text-x-apport.svg icon symlink.
    - Add README file.
    - Add translations from Launchpad.
    - Remove preloadlib/*; it's undermaintained, and not really useful any
      more these days.
    - Various bug fixes; most visible being the misnamed
      etc/default/apport.default file (which should just be
      etc/default/apport).
  * Merge some bug fixes from trunk:
    - launchpad.py: Send and read Date: field again, reverting r1128; it is
      useful after all. (LP: #349139)
    - report.py, add_proc_info(): Only add ProcAttrCurrent if it is not
      "unconfined".
    - ui.py: Detect invalid PIDs (such as for kernel processes) and give a
      friendly error message. (LP: #360608)
    - report.py, add_hooks_info(): Always run common hooks, and run source
      package hooks if we do not have a binary package name. (LP: #350131)
    - launchpad.py: Consider socket errors when connecting as transient, so
      that crash-digger doesn't stop completely on them.
  * Drop debian/apport.README.Debian, superseded by upstream README.
  * Drop debian/apport.links, done by upstream setup.py now.
  * debian/rules, debian/apport.preinst: Drop upgrade fix for misnamed default
    file again, was only necessary for intra-Jaunty upgrades.
  * debian/control: python-launchpad-bugs → python-launchpadlib dependencies.
  * debian/local/apport-collect: Drop launchpadlib login code, just use the
    CrashDatabase implementation from apport/crashdb_impl/launchpad.py.
  * Make package backportable to hardy and intrepid:
    - debian/control: Relax python-central buil-dependency to 0.5.6.
    - debian/rules: Determine DH_PYCENTRAL value ("include-links" vs.
      "nomove") based on the installed pycentral version.
    - debian/rules: Only supply --install-layout=deb when Python version is
      2.6.
  * apport/hookutils.py: Add docstring for attach_hardware, thanks Matt
    Zimmerman! (Merged from lp:~mdz/apport/hookutils)
  * apport/crashdb_impl/launchpad.py: Support older wadllib API
    where bug.date_created was a string instead of a datetime object.
    (Cherrypicked from trunk).
  * debian/control: Drop apport dependency to python-xdg, it's not required.
    (LP: #354172)
  * debian/control: Drop gdb from Depends: to Recommends:. (LP: #354172)
  * debian/local/apport-collect: Print a friendly error message instead of
    crashing if the bug number is not an integer. (LP: #351050)
  * debian/local/apport-collect: Change incomplete tasks back to "New" ...

Read more...

Changed in apport (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers